-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 3.0 (quilt)
Source: pathos
Binary: python3-pathos, python-pathos-doc
Architecture: all
Version: 0.3.3-2
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Homepage: https://github.com/uqfoundation/pathos
Description: Framework for heterogeneous parallel computing
 Pathos provides a consistent high-level interface for configuring and
 launching parallel computations across heterogeneous resources.  It
 provides configurable launchers for parallel and distributed
 computing, where each launcher contains the syntactic logic to
 configure and launch jobs in an execution environment.  Examples of
 launchers include: "pyina", a queue-less MPI-based launcher;
 "pathos", an ssh-based launcher; "multiprocess", a multi-process
 launcher.
 .
 It provides a consistent interface for parallel and/or distributed
 versions of "map" and "apply" for each launcher; the guiding design
 principle is that "map" and "apply" should be drop-in replacements in
 otherwise serial code, reducing the time to conver a code to
 parallel, but also enabling a single code-base to be maintained
 instead of requiring serial, parallel and distributed versions of
 code.
 .
 The "pathos" framework consists of several interoperating packages:
  * "dill": serialize all of Python (python3-dill)
  * "pox": utilities for filesystem exploration and automated builds
    (python3-pox)
  * "klepto": persistent caching to memory, disk, or database
    (python3-klepto)
  * "multiprocess": better multiprocessing and multithreading in Python
    (python3-multiprocess)
  * "ppft": distributed and parallel Python (python3-ppft)
  * "pyina": MPI parallel "map" and cluster scheduling (python3-pyina)
  * "pathos": graph management and execution in heterogeneous computing
    (python3-pathos)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/pathos
Vcs-Git: https://salsa.debian.org/python-team/packages/pathos.git
Testsuite: autopkgtest
Testsuite-Triggers: python3-all
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, pybuild-plugin-pyproject, python3-all, python3-dill (>= 0.3.9), python3-multiprocess (>= 0.70.16), python3-pox (>= 0.3.5), python3-ppft (>= 1.7.6.9), python3-setuptools, python3-sphinx <!nodoc>, python3-sphinx-notfound-page <!nodoc>, python3-sphinx-rtd-theme <!nodoc>
Package-List:
 python-pathos-doc deb doc optional arch=all profile=!nodoc
 python3-pathos deb python optional arch=all
Checksums-Sha1:
 c7aef8a333f91dbbe4f4ea4a181c04438473fabe 153719 pathos_0.3.3.orig.tar.gz
 7e602f8eae4dc2220d610a86da366bbdd5e48675 5060 pathos_0.3.3-2.debian.tar.xz
Checksums-Sha256:
 6671579fa8eaf63e55b0959043c3658f428488b7cd939380e5c7f6d22c541ac5 153719 pathos_0.3.3.orig.tar.gz
 71b6ba14ceae5bb8ec5093f9cfb284fa7a2448a088f6a01bf3bde056d50c0a15 5060 pathos_0.3.3-2.debian.tar.xz
Files:
 f54aaa4bba0d65045040d655605e015a 153719 pathos_0.3.3.orig.tar.gz
 4347e1e0b8c38f5fbc1b281c4d12c3ff 5060 pathos_0.3.3-2.debian.tar.xz
Dgit: 9f96730875f87ca3213a530fb0bf268ef457edcd debian archive/debian/0.3.3-2 https://git.dgit.debian.org/pathos

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEErApP8SYRtvzPAcEROTWH2X2GUAsFAmdqpQQACgkQOTWH2X2G
UAunjA//UJAuZhL4lQM0Iz7JIM+4ZRIMjSIvJE1R1puZwJqY4J5iT6vaKL3kB57k
yNDG8JDEComHKLQwGQHiOTkAJXq7kHrKd9QNMUZi9/zFw3iNLvE+jwubijJU3ypw
hrHpP2ecHgMhGZsHduUWh3phxSjff2YSmPVvj7UpoTkZHi3kjz+0JfC9bCuRe5Uo
2K3aCQshY31Zh8j2t6HgyH01q8gp79GmWe6hJ54yQ3FJLXaA2GuN5ZpkEMb9CJVi
8Uax9dpz2O0oVleZ5xrKr1zgz0F/Zs2rYhTyra3Kezvi9FmyuZbXIZ2wJYvzPNZf
lxFZ5ajRCxB/gmXPMATampS6qPzgjgRAuyZ4Vjhc+WhgDPBewDUwEUGl7FIqP4ur
OmYwA0qOzwNp3UhkG8EDtzO1aGDg+GAAmUKOpgUDIYGYyml2BPqQ3ddMQAZ6pGcJ
kLBgnjUHPwjqn8MhhX7nPAbEWUlXqsUsW4Dzxz9juFzXjAu84PqWL7Bjo6hk5mgD
eoJgBUCQpmWxV6JfuPFBBQIyP4dnSjOtXbcGcMrDHpqbpPy5KPTw5tsW1F7fixBC
Jyqo45kujELJIub/DFAsKxe9XpAYFO/Wb1GXcJmdrbQXmChUEfeou3njF4WcakOh
hj+qLmyeWXd9gw46gZFHs4J2IahZTjm3C7AsDrWFZ0cdim8K7AU=
=Zaks
-----END PGP SIGNATURE-----
